Package: kwalletcli
Version: 2.03-1
Severity: wishlist
Tags: patch
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
kwalletcli should use the debian alternative system for kwalletaskpass and
provide ssh-askpass.
The attached patch adds a postinst and prerm script to manage the alternative
and adds Provides: ssh-askpass to debian/control
- -- System Information:
Debian Release: 6.0
APT prefers unstable
APT policy: (990, 'unstable'), (102, 'experimental')
Architecture: amd64 (x86_64)
Kernel: Linux 2.6.36.2-rt (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Versions of packages kwalletcli depends on:
ii kdebase-runtime 4:4.5.3-0r1 runtime components from the offici
ii libc6 2.11.2-7 Embedded GNU C Library: Shared lib
ii libgcc1 1:4.4.5-10 GCC support library
ii libkdecore5 4:4.5.3-0r1 the KDE Platform Core Library
ii libkdeui5 4:4.5.3-0r1 the KDE Platform User Interface Li
ii libqtcore4 4:4.7.1-2 Qt 4 core module
ii libstdc++6 4.4.5-10 The GNU Standard C++ Library v3
ii mksh 39.3.20101101-1 MirBSD Korn Shell
Versions of packages kwalletcli recommends:
ii gnupg-agent 2.0.14-2 GNU privacy guard - password agent
ii openssh-client 1:5.6p1-3 secure shell (SSH) client, for sec
ii pinentry-qt4 0.8.0-1 Qt-4-based PIN or pass-phrase entr
kwalletcli suggests no packages.
- -- no debconf information
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
iQIcBAEBAgAGBQJNHaaHAAoJEPj9ctpufsW7aTcQAKpnc0SWF+zFvectGXUionFy
NnP7kSQrKekJcUu4qeSnBthQtAQz5r50qEemPvwKC1sMiX7WbSmBQsjvtTtZyp+I
F6G4l/xClA0jZ2zQoFH4q0smZQ6OI+34Zsb147RqoD2L8IxEdDmuJIXaoPcI4uwF
Q5mq65g7aySPr3pxJzukSQr/NyiWiFFcX14ov+cmlgTiSv1QGjFREzQXHUvifz9H
lurpBqj2DKR2N9XIeyUXwMdSfeRHSuUP9hLC2UP8LxsHhhSDYP+1ts6uTz0AJBeS
YWLo6tTNvm2RJpESvMXL9PDTCPvAHIpOtz4Wx6vIZYKcmq011wCRRb7GwMyzEoen
I+y3X9LFoet9a/WbS7sSYaZbGZBqymWDBwxTUcAF3I0S1+O1iVQJGL8qEOnr7svJ
bwC3DxBE58WoTmrfvrBZLq0cDu6vP6fmEN2JjnXB7aewujdONp3mKmd1AFSfljXC
JgVnWAlJGRmxkZXyElE7vK6Y6Dn3/fW5vmFFw2pGRH/1Mv1Yax0PSUjtLGuuwTIM
cTmNN2+YoI+hwuHPLhVwu52dPV4usUHITo1EL154igtkl7Gt54jDOjZGtJCHZvFN
kOvKr/TxvLxaEmN23M9vGKIiCNPvw827bLkvKrVEj/Iu9MpKEWmtnxrUFrxdwovL
5DmblI7jaOMgRuIuBUzt
=Gbgc
-----END PGP SIGNATURE-----
diff --git a/debian/control b/debian/control
index da0ab66..9bf97b6 100644
--- a/debian/control
+++ b/debian/control
@@ -20,6 +20,7 @@ Depends: ${misc:Depends}, ${shlibs:Depends}, mksh (>= 38~)
Recommends: gnupg-agent,
pinentry-curses | pinentry-gtk | pinentry-gtk2 | pinentry-qt | pinentry-qt4,
openssh-client
+Provides: ssh-askpass
Enhances: gajim (>= 0.13~)
Description: command line interface to the KDE Wallet
kwalletcli implements a command line interface tool to get and set
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..5e9d250
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postinst script for kwalletaskpass
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ update-alternatives --quiet \
+ --install /usr/bin/ssh-askpass ssh-askpass /usr/bin/kwalletaskpass 30 \
+ --slave /usr/share/man/man1/ssh-askpass.1.gz ssh-askpass.1.gz "/usr/share/man/man1/kwalletaskpass.1.gz"
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/prerm b/debian/prerm
new file mode 100644
index 0000000..28be37b
--- /dev/null
+++ b/debian/prerm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# prerm script for kwalletaskpass
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|deconfigure)
+ update-alternatives --quiet --remove ssh-askpass /usr/bin/kwalletaskpass
+ ;;
+
+ upgrade)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+